<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Factura</title>
<!--<link href="../../maincss.css" rel="stylesheet" type="text/css" />-->
<!--<link href="../../facturacss.css" rel="stylesheet" type="text/css" />-->
<?php
include "../../conn.php";
include "../../class.nroenletraver2.php";
include "../../general.php";
include "../../phpqrcode/qrlib.php";
include "../../token.php";

//index.php?pkySalesLedger=18&user=Luigi&sheetSize=2&head=1&copy=0&token=123456
$cod_factura = $_GET["pkySalesLedger"];
//$tamano_hoja = $_GET["sheetSize"]; //1=carta, 2=media carta, 3=rollo
$cabecera = $_GET["head"]; //0=sin cabecera, 1=con cabecera
$copia = $_GET["copy"]; // 0=Original, 1=Copia
//$usuario = $_GET["user"];

//para obtener el tamaño de la factura

$resulttamanofactura = mysqli_query($link, "select a.codAuthorizationControl as cod_auto, b.fldEconomicActivity as actividad_economica, b.codInvoiceSheetType as tamano_factura, b.fldEmissionDate as fecha_emi  
from 
txsSalesLedger a, txsAuthorizationControl b 
where 
a.pkySalesLedger = '$cod_factura' and 
a.codAuthorizationControl = b.pkyAuthorizationControl;");
while ($row = mysqli_fetch_array($resulttamanofactura)) {
	$actividad_economica = $row['actividad_economica'];
	$tamano_hoja = $row['tamano_factura'];
	$fecha_emi = $row['fecha_emi'];
}
mysqli_free_result($resulttamanofactura);

//hoja de estilo 
if($mi_cod_pais == 1 && $tamano_hoja == 3) {
?>
<link href="../../facturarollocss.css" rel="stylesheet" type="text/css" />
<?php
} else {
?>
<link href="../../facturacss.css" rel="stylesheet" type="text/css" />
<?php
}
if($mi_cod_pais == 176) {
?>
<link href="../../facturacss176.css" rel="stylesheet" type="text/css" />
<?php
}

//verificar el tamaño de la hoja carta o media carta
if($tamano_hoja == 1) { 
	if($mi_cod_pais == 1) {
	$tam_hoja = '550px'; //624px=16.5cm 550px=14.5cm (espacio entre la cabecera y el pie)
	}
	if($mi_cod_pais == 176) {
	$tam_hoja = '722px'; //722px=19cm 550px=14.5cm (espacio entre la cabecera y el pie)
	}
	$tam_estilo = 'size: 21.59cm 27.94cm;';
	//$tam_logo = '<br/><br/><br/><br/>';// tama�o logo 2.5 cm del borde de la hoja al texto
}
if($tamano_hoja == 2) { 
	if($mi_cod_pais == 1) {
	$tam_hoja = '88px'; //88px=2.3cm (espacio entre la cabecera y el pie)
	}
	if($mi_cod_pais == 176) {
	$tam_hoja = '172px'; //172px=4.5cm (espacio entre la cabecera y el pie)
	}
	$tam_estilo = 'size: 21.59cm 14.3cm;';
	//$tam_logo = '<br/><br/><br/>'; // tama�o logo 2 cm del borde de la hoja al texto
}
if($tamano_hoja == 3) { 
//$tam_hoja = '170px'; //170px=4.5cm (espacio entre la cabecera y el pie)
$tam_estilo = 'size: 7cm 28cm;';
//$tam_logo = '<br/><br/><br/>'; // tama�o logo 2 cm del borde de la hoja al texto
}
if($copia == 1) { 
$texto_copia = 'COPIA';
} else { 
$texto_copia = 'ORIGINAL';
}

$dias_dosificacion = diasTranscurridos($fecha_emi,$fecha_hoy);
/*
Ya est� resuelto. Explico por si alguien lo necesita. Baj� desde impresoras-fiscales.com.ar una dll para php. Hay que copiar la correspondiente a la version php en las extensiones y agregar la extensi�n en el php.ini. Utilizando IXBATCH se puede imprimir tiquets, facturas, cierres y dem�s. Hay varios tutoriales y manuales en internet de IXBATCH y es muy simple. Cualquier duda consulten y les paso m�s info detallada.
*/

?>
<style type="text/css">
<!--
@page { 
<?php echo $tam_estilo; ?>
margin-top:0.5cm;
margin-bottom:0.5cm;
margin-left:0.5cm;
margin-right:0.5cm;
}
hr {
dotted;
/*border:1px dotted;*/
}
-->
</style>
<?php
if($imprimir_directo == 1) { 
?>
<script language="javascript">
	window.print();
</script>
<?php
}
?>

<?php
if($dias_dosificacion >= 1 && $dias_dosificacion <= 10 && $mi_cod_pais == 1) { 
?>
<!--
<SCRIPT LANGUAGE="JavaScript">

function popupWin() {
text =  "<html> <head> <title>¡ALERTA!</title> <body> ";
text += "<center> <br>";
text += "<font color='#000DFF'><b>Quedan <?php echo $dias_dosificacion; ?> dia(s) para que termine la dosificaci&oacute;n</b></font>";
text += "</center> </body> </html> ";
setTimeout('windowProp(text)', 1000);       // El tiempo antes de abrir 1 segundos
}
function windowProp(text) {
newWindow = window.open('','newWin','width=300,height=100');
newWindow.document.write(text);
setTimeout('closeWin(newWindow)', 5000);    // tiempo 5 segundos antes de cerrar
}
function closeWin(newWindow) {
newWindow.close();              // cerrar la ventana
}

</script>-->
<SCRIPT LANGUAGE="JavaScript">
/*
One Time Popup Script
*/


//number of days the cookie should 
//last (0 will cause it to always pop up)
var expDays = 1; 

//url of the page you want to popup
//var page = "http://www.codearena.com";
//var page = "../../mensajedosificacion.php";

var windowprops = "width=400, height=200, location=no, toolbar=no, menubar=no, scrollbars=no, resizable=yes";

text =  "<html> <head> <title>¡ALERTA!</title> <body> ";
text += "<center> <br>";
text += "<font color='#000DFF'><h1><b>Quedan <?php echo $dias_dosificacion; ?> dia(s) para que termine la dosificaci&oacute;n</b></h1></font>";
text += "</center> </body> </html> ";

function GetCookie (name) { 
  var arg = name + "="; 
  var alen = arg.length; 
  var clen = document.cookie.length; 
  var i = 0; 

  while (i < clen) { 
    var j = i + alen; 

   if (document.cookie.substring(i, j) == arg) 
       return getCookieVal (j); 

      i = document.cookie.indexOf(" ", i) + 1; 

 if (i == 0) break; 

} 

return null;

}

function SetCookie (name, value) { 
  var argv = SetCookie.arguments; 
  var argc = SetCookie.arguments.length; 
  var expires = (argc > 2) ? argv[2] : null; 
  var path = (argc > 3) ? argv[3] : null; 
  var domain = (argc > 4) ? argv[4] : null; 
  var secure = (argc > 5) ? argv[5] : false; 
document.cookie = name + "=" + escape (value) + 
((expires == null) ? "" : ("; expires=" + expires.toGMTString())) + 
((path == null) ? "" : ("; path=" + path)) + 
((domain == null) ? "" : ("; domain=" + domain)) + 
((secure == true) ? "; secure" : "");

}

function DeleteCookie (name) { 
  var exp = new Date(); 
  exp.setTime (exp.getTime() - 1); 
  var cval = GetCookie (name); 
  document.cookie = name + "=" + cval + "; expires=" + exp.toGMTString();

}

var exp = new Date(); 
exp.setTime(exp.getTime() + (expDays*24*60*60*1000));

function amt(){
  var count = GetCookie('count')
   
  if(count == null) {
    SetCookie('count','1')
    return 1
} else {
   var newcount = parseInt(count) + 1;
   DeleteCookie('count')
   SetCookie('count',newcount,exp)
return count

}

}

function getCookieVal(offset) {
   var endstr = document.cookie.indexOf (";", offset);
   if (endstr == -1)
     endstr = document.cookie.length;
     return unescape(document.cookie.substring(offset, endstr));
}



function checkCount() {
  var count = GetCookie('count');
  if (count == null) {
    count=1;
    SetCookie('count', count, exp);
    //window.open(page, "", windowprops);
	newWindow = window.open('','newWin',windowprops);
	newWindow.document.write(text);
  } else {
    count++;
    SetCookie('count', count, exp);
  }

}

window.onload=checkCount
</script>
<?php
}
?>
</head>
<?php


//index.php?pkySalesLedger=12&sheetSize=1&head=0
//&cash=100&cashCurrency=2
//$rep=$_GET["rep"];
//$tipo=$_GET["tipo"];
//$cod_pedido=$_POST["cod_pedido"];
//$muestra_precio=$_POST["muestra_precio"];

//$efectivo = $_GET["cash"]; //monto entregado para el pago
//$moneda_efectivo = $_GET["cashCurrency"]; //cod moneda del monto entregado para el pago
$n_decimales = 2;

?>
<?php
if($dias_dosificacion >= 1 && $dias_dosificacion <= 10 && $mi_cod_pais == 1) { 
?>
<!--
<body onLoad="popupWin()">-->
<body>
<?php
} else {
?>
<body>
<?php
}
?>

<?php

	
// Inicio cabecera factura

$result = mysqli_query($link, "select a.fldNumber as nro_fac, d.fldAuthorization as nro_auto,
a.fldDate as fecha, a.fldControlCode as cod_control, 
a.fldName as cliente, a.fldNIT as nit_cli, a.txtDescription as glosa, 
a.fldNetTotal as total, a.sysEnabled as enabled, 
a.sysAuthorized as authorized, b.pkySalesNote as cod_nota_venta, 
b.codCurrency as cod_moneda, b.codExchangeRate as cod_tc, b.fldGlobalDiscountPercent as desc_global, c.fldName as moneda, d.fldEmissionDate as fecha_limite, 
d.txtDescription as leyenda, e.fldID as nro_suc, 
e.fldName as sucursal, e.fldPhone as tel_suc,
e.fldAddress as dir_suc, f.fldName as ciu_suc, 
b.codType as cod_tipo, a.codClient as cod_cliente, b.codItemMovement as cod_mov_merc
from
txsSalesLedger a, slsSalesNote b, actCurrency c, 
txsAuthorizationControl d, agnCompanyBranch e, 
regCity f
where
a.pkySalesLedger = b.codInvoice and 
a.codAuthorizationControl = d.pkyAuthorizationControl and 
d.codCompanyBranch = e.pkyCompanyBranch and 
e.codCity = f.pkyCity and 
b.codInvoice = '$cod_factura' and 
b.codCurrency = c.pkyCurrency;");
	while ($row = mysqli_fetch_array($result)) {
		$nro_fac = $row['nro_fac'];
		$nro_auto = $row['nro_auto'];
		$fecha_fac = $row['fecha'];
		$cod_control = $row['cod_control'];
		$cliente = $row['cliente'];
		$nit_cli = $row['nit_cli'];
		$total = $row['total'];
		$cod_nota_venta = $row['cod_nota_venta'];
		$cod_moneda = $row['cod_moneda'];
		$moneda = $row['moneda'];
		$cod_tc = $row['cod_tc'];
		$fecha_limite = $row['fecha_limite'];
		$sucursal = $row['sucursal'];
		$nro_sucursal = $row['nro_suc'];
		$tel_sucursal = $row['tel_suc'];
		$dir_sucursal = $row['dir_suc'];
		$ciu_sucursal = $row['ciu_suc'];
		$desc_global = $row['desc_global'];
		
		$leyenda = $row['leyenda'];
		$leyenda = nl2br($leyenda);//quita salto de linea 
		$leyenda = str_replace('\n','<br />',$leyenda);//reemplaza para salto de linea
				
		$glosa = $row['glosa'];
		$glosa = nl2br($glosa);//quita salto de linea 
		$glosa = str_replace('\n','<br />',$glosa);//reemplaza para salto de linea
		//$glosa = substr($glosa, 0, 200); //era necesario para cortar la glosa
		$enabled = $row['enabled'];
		$authorized = $row['authorized'];
		$cod_tipo = $row['cod_tipo'];//tipo  si es 1=efectivo, 5=CxC
		$cod_cliente = $row['cod_cliente'];//codigo del cliente de la factura
		$cod_mov_merc = $row['cod_mov_merc'];//codigo mov de merc para lotes

	}
	mysqli_free_result($result);

//direccion del cliente	
$resultdir = mysqli_query($link, "select fldAddress as direccion
from
agnCompanyAddress
where
codCompany = '$cod_cliente' and 
fldDefault = 1 and
sysEnabled = 1 and sysAuthorized = 1;");	
	
	while ($row = mysqli_fetch_array($resultdir)) {
		$cli_direccion = $row['direccion'];
	}
	mysqli_free_result($resultdir);	

//telefono del cliente	
$resulttel = mysqli_query($link, "select fldPhone as telefono
from
agnCompanyPhone
where
codCompany = '$cod_cliente' and 
fldDefault = 1 and
sysEnabled = 1 and sysAuthorized = 1;");	
	
	while ($row = mysqli_fetch_array($resulttel)) {
		$cli_telefono = $row['telefono'];
	}
	mysqli_free_result($resulttel);	

//nota de remision
$cli_nota_remision = NULL;

//fecha
$cli_fecha = NULL;

//compara la moneda principal con la moneda de la factura
if($cod_moneda == $cod_moneda_principal){
	$valor_tc = 1;
	//$nom_moneda_pri = $nom_moneda_principal;
} else {
	$result3 = mysqli_query($link, "select codExchangeRate as cod_tc, 
codBaseCurrency as cod_moneda_base,
codTargetCurrency as cod_moneda_dest, 
fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$cod_tc' and 
codBaseCurrency = '$cod_moneda_principal' and 
codTargetCurrency = '$cod_moneda' and
sysEnabled = 1 and sysAuthorized = 1;");	
	
	while ($row = mysqli_fetch_array($result3)) {
		$valor_tc = $row['tc'];
	}
	mysqli_free_result($result3);	
	//$nom_moneda_pri = $nom_moneda_principal;
}
	
	//inicio detalle factura
	$result2 = mysqli_query($link, "select a.codItem as cod_item, a.fldQuantity as cantidad, a.fldPrice as precio, a.fldDiscount as descuento, a.fldTotalNetPrice as total, b.fldName as item, a.fldExempt as exento, a.fldTax as tasa, b.fldBarcode as cod_barras, c.fldName as umenor
from
slsSalesNoteDetail a, invItem b, invStorageUnit c
where
a.codSalesNote = '$cod_nota_venta' and 
a.codItem = b.pkyItem and 
b.codMinimumStorageUnit = c.pkyStorageUnit;");
	
//cambio de la fecha con mes en texto
$dia_fac = substr($fecha_fac,-2);
$mes_fac = substr($fecha_fac,5,2);
$ano_fac = substr($fecha_fac,0,4);
if($mes_fac == 1) { $mes_nom = 'Enero'; }
if($mes_fac == 2) { $mes_nom = 'Febrero'; }
if($mes_fac == 3) { $mes_nom = 'Marzo'; }
if($mes_fac == 4) { $mes_nom = 'Abril'; }
if($mes_fac == 5) { $mes_nom = 'Mayo'; }
if($mes_fac == 6) { $mes_nom = 'Junio'; }
if($mes_fac == 7) { $mes_nom = 'Julio'; }
if($mes_fac == 8) { $mes_nom = 'Agosto'; }
if($mes_fac == 9) { $mes_nom = 'Septiembre'; }
if($mes_fac == 10) { $mes_nom = 'Octubre'; }
if($mes_fac == 11) { $mes_nom = 'Noviembre'; }
if($mes_fac == 12) { $mes_nom = 'Diciembre'; }

?>
<?php if($mi_cod_pais == 1) { //if bolivia ?>
<?php if($tamano_hoja != 3) { ?>

<!-- Cabecera en tres columnas de la factura -->
<!-- <table border="0" width="100%"><tr><td>&nbsp;</td></tr></table> -->
<table border="0" align="left" width="100%" cellpadding="2">
<tr valign="top"><td align="left" width="50%">
	<?php if($cabecera == 1) { ?>
    <table border="0" align="left">
    	<tr><td align="center">
		<img src="../../Images/logo.jpg" alt="Logo" /> <!--espacio para el logo width="100" height="50"-->
        </td></tr>
        <tr><td align="center">
        <br />
        <b><?php echo $nombre_empresa; ?></b>
        <br/><b><?php echo strtoupper($sucursal); ?></b>
        <br/><?php echo $dir_sucursal; ?>
        <br/>Tel&eacute;fono: <?php echo $tel_sucursal; ?>
        <!--<br/><?php echo $mi_web; ?>-->
        <br/><?php echo $ciu_sucursal; ?> - <?php echo $mi_pais; ?>
        </td></tr>
    </table>
    <?php } ?>
</td><td align="center" width="10%">
<?php if($cabecera == 1) { ?>
<br /><br /><br /><br /><br /><br />
	<font color="#000000" size="+2"><b>FACTURA</b></font> 
<?php } ?>
</td><td align="right" width="40%"><br /><br /><br />
	<table border="1" cellpadding="5">
    	<tr><td><center><b>NIT: <?php echo $mi_nit; ?></b></center>
        		<font size="2px">FACTURA No. &nbsp;&nbsp;&nbsp;<?php echo $nro_fac; ?></font>
                <br />AUTORIZACI&Oacute;N No. <?php echo $nro_auto; ?>
        </td></tr>
    </table><!-- <br/> -->
    <table border="0">
    	<tr><td align="center"><font color="#000000" size="2px"><b><?php echo $texto_copia; ?></b></font><br /><br />
                <?php echo $actividad_economica; ?>
        </td></tr>
    </table>
</td></tr></table>
<!--
<table border="0" align="right" width="100%" cellpadding="1">
<tr><td align="right"><b>Actividad Econ&oacute;mica: </b><?php echo $actividad_economica; ?></td></tr>
</table>
-->
<br />
<!--
<table border="0" align="center" width="100%" cellpadding="5">
<tr><td align="center"><font color="#000000" size="+1"><b>FACTURA</b></font></td></tr>
</table>
-->

<!-- fecha, nombre y NIT de la factura -->
<table border="0" align="left" width="100%" cellpadding="2">
<tr><td align="left" colspan="2">
<b>Lugar y Fecha: </b><?php echo $ciu_sucursal; ?>, <?php echo $dia_fac; ?> de <?php echo $mes_nom; ?> de <?php echo $ano_fac; ?>
</td></tr>
<tr><td align="left" width="80%">
<b>Se&ntilde;or (es): </b><?php echo $cliente; ?>
</td><td align="left" width="20%">
<b>NIT / CI: </b><?php echo $nit_cli; ?>
</td></tr>
</table>
<!--
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td>&nbsp;</td></tr>
</table>
-->
<!-- detalle de la factura -->
<table border="1" align="center" cellpadding="2" width="100%">
 	<TR> 
    <TD width="50" align="center"><b>Cantidad</b></TD>
    <TD width="80" align="center"><b>C&oacute;digo</b></TD>
    <TD align="center"><b>Concepto</b></TD>
    <TD width="100" align="center"><b>Precio Unitario</b></TD>
    <TD width="50" align="center"><b>Descuento</b></TD>
    <TD width="100" align="center"><b>Subtotal</b></TD>
    </TR>
</table>

<table border="0" align="center" width="100%" height="<?php echo $tam_hoja; ?>"><!--604px=16cm  151px=4cm-->
<tr valign="top"><td>   
<!-- esta tabla contiene el detalle para darle el espacio a las lineas de cada item-->
<table border="0" align="center" cellpadding="2" width="100%">
	<?php
    //echo $tam_hoja;
	$suma_total = 0;
	$suma_desc = 0;
	$suma_sin_desc = 0;
		
	while ($row = mysqli_fetch_array($result2)) { //while
	
		if($cod_barras_principal == 0) { //if cod_barras
			$cod_item_barras = $row['cod_item'];
		} else {
			$cod_item_barras = $row['cod_barras'];
		} //fin if cod_barras
		
		if($muestra_uni_men == 0) { //if uni menor
			$unidad_menor = '';
		} else {
			$unidad_menor = $row['umenor'];
		} //fin if uni menor
		
		$cod_item_det = $row['cod_item'];
		$cantidad_det = $row['cantidad'];
		$item_det = $row['item'];
		$precio_det = $row['precio'];
		$descuento_det = $row['descuento'];
		$total_det = $row['total'];
		
		if($muestra_id_lote == 0) { //if lotes
			$id_lote = '';
		} else {
		//lotes
		$resultlote = mysqli_query($link, "select a.fldID as id_lote
from 
invItemMovementDetailBatch a, invItemMovementDetail b
where 
a.codItemMovementDetail = b.pkyItemMovementDetail and 
b.codItem = '$cod_item_det' and 
a.codItemMovement = '$cod_mov_merc';");
		$mat_lote = array();
		$l = 1;
		while ($row = mysqli_fetch_array($resultlote)) { //while lote
			$mat_lote[$l] = $row['id_lote'];
			if($l == 1) {
				$id_lote = $mat_lote[$l]; 
			} else {
				$id_lote = $id_lote.', '.$mat_lote[$l];
			}
			$l++;
		}// fin while lote
		mysqli_free_result($resultlote);
		} //fin if lote
			
		printf("<tr valign='top'><td align='right' width='50'>%s</td>", number_format($cantidad_det,$n_decimales));//cantidad
		printf("<td align='right' width='80'>%s</td>", $cod_item_barras);//cod item/barras
		printf("<td align='left'>%s %s  %s</td>", $item_det, $unidad_menor, $id_lote);//concepto o nombre item, unidad menor, lote
		printf("<td align='right' width='100'>%s</td>", number_format($precio_det, $n_decimales));//precio unitario item
		printf("<td align='right' width='60'>%s</td>", number_format($descuento_det * $precio_det * $cantidad_det / 100, $n_decimales));//precio unitario item
		printf("<td align='right' width='100'>%s</td></tr>", number_format($total_det, $n_decimales));//total
		$suma_sin_desc = $suma_sin_desc + round($cantidad_det * $precio_det * $valor_tc, $n_decimales);
		$suma_desc = $suma_desc + round($cantidad_det * $precio_det * $descuento_det / 100 * $valor_tc, $n_decimales);
		$suma_total = $suma_total + round($total_det, $n_decimales);
	}//fin while
	mysqli_free_result($result2);
	
	$suma_total_final = ($suma_total - ($suma_total * $desc_global / 100)) * $valor_tc;
	$suma_total_final = round($suma_total_final, $n_decimales);
	$monto_descuento = $suma_desc + round($suma_total * $desc_global / 100 * $valor_tc, $n_decimales);
	
	//convierte el total en literal
	
	$letras=new NroEnLetra($suma_total_final,$n_decimales);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	
	$suma_total_final = number_format($suma_total_final, $n_decimales);
	//$mostrar_letras = numtoletras($suma_total_final);
	
	// generacion de codigo QR
    $tempDir = 'qr/';
	$sep = '|';
	/*
	$fecha_fac_qr = date("d/m/Y",strtotime($fecha_fac));
	$suma_total_qr = number_format($suma_total_final,$n_decimales);
	$fecha_limite_qr = date("d/m/Y",strtotime($fecha_limite));
	$ice_qr = 0; //ice cuando corresponda, sino es 0
	$tasa_cero_qr = 0; //ventas no gravadas o gravadas a tasa cero, sino es 0
    $codeContents = $mi_nit.$sep.$nombre_empresa.$sep.$nro_fac.$sep.$nro_auto.$sep.$fecha_fac_qr.$sep.$suma_total_qr.$sep.$cod_control.$sep.$fecha_limite_qr.$sep.$ice_qr.$sep.$tasa_cero_qr.$sep.$nit_cli.$sep.$cliente;
	*/
	$fecha_fac_qr = date("d/m/Y",strtotime($fecha_fac));
	$suma_parcial_qr = number_format($suma_sin_desc,$n_decimales);
	$suma_cred_fis_qr = $suma_total_final;
	$ice_qr = number_format(0,$n_decimales); //ice cuando corresponda, sino es 0
	$tasa_cero_qr = number_format(0,$n_decimales); //ventas no gravadas o gravadas a tasa cero, sino es 0
	$suma_no_cred_fis_qr = number_format(0,$n_decimales); //importe no sujeto a credito fiscal, sino es 0
	if($monto_descuento == 0) {
		$suma_descuento_qr = number_format(0,$n_decimales);
	} else {
		$suma_descuento_qr = number_format($monto_descuento,$n_decimales);
	}
	$codeContents = $mi_nit.$sep.$nro_fac.$sep.$nro_auto.$sep.$fecha_fac_qr.$sep.$suma_parcial_qr.$sep.$suma_cred_fis_qr.$sep.$cod_control.$sep.$nit_cli.$sep.$ice_qr.$sep.$tasa_cero_qr.$sep.$suma_no_cred_fis_qr.$sep.$suma_descuento_qr;
	
	// generar el nombre del archivo a mostrar con md5
    //$fileName = 'qr_file_'.md5($codeContents).'.png';
	// generar el nombre del archivo a mostrar con usuario
	$fileName = 'qr_file_'.$usuario.'.png';
    $filePath = $tempDir.$fileName;
    // generar
    //if (!file_exists($filePath)) {
        QRcode::png($codeContents, $filePath,'M',2.2);
    //} 
   

	?>
</table>
</td></tr></table>

<!-- pie de la factura -->
<table border="1" align="center" cellpadding="2" width="100%">   
<tr><td width="64%">
	<table border="0" align="left" width="100%">
	<tr><td colspan="2"><b>Son: </b><?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras; ?></td></tr>
    <?php if( $muestra_glosa == 1) { ?>
    <tr><td colspan="2"><b>Glosa: </b><?php echo $glosa; ?></td></tr>
    <?php } ?>
    <tr><td>NV - <a href="../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=<?php echo $cod_nota_venta; ?>&showHeader=1&user=<?php echo $usuario; ?>" title="Nota de Venta"><?php echo $cod_nota_venta; ?></a> </td>
    <td align="right"><b>Tipo de Cambio: </b><?php echo number_format($valor_tc, $n_decimales); ?> </td></tr>
    <!--
    <tr><td><b>C&Oacute;DIGO DE CONTROL: </b><?php echo $cod_control; ?></td></tr>
    -->
    </table>
</td><td width="36%">
	<table border="0" align="right" width="100%">
	<tr><!--<td width="70%" align="right"><b>Importe Total Parcial <?php echo $moneda; ?>: </b></td>
    	<td width="30%" align="right"><?php echo number_format($suma_total, $n_decimales); ?></td>-->
        <td width="75%" align="right"><b>Importe Total de la Compra <?php echo $nom_moneda_principal; ?>: </b></td>
    	<td width="25%" align="right"><?php echo number_format($suma_sin_desc, $n_decimales); ?></td>
    </tr>
    <tr><td align="right"><b>Descuento Global: </b></td>
		<td align="right"><?php echo number_format($desc_global, $n_decimales).'%'; ?></td>
    </tr>
    <tr><!--<td align="right"><b>Tipo de Cambio: </b></td>
		<td align="right"><?php echo number_format($valor_tc, $n_decimales); ?></td>-->
        <td align="right"><b>Importe Descuento <?php echo $nom_moneda_principal; ?>: </b></td>
		<td align="right"><?php echo number_format($monto_descuento, $n_decimales); ?>
    </tr>
    <tr><td align="right"><b>Importe base para Cr&eacute;dito Fiscal <?php echo $nom_moneda_principal; ?>: </b></td>
		<td align="right"><?php echo $suma_total_final; ?></td>
    </tr>
    </table>
</td></tr>
</table>

<table border="0" align="center" cellpadding="2" width="100%">   
<tr><td width="95%" valign="top">
	<table border="0" align="left" width="100%">
    <tr><td>&nbsp;</td></tr>
    <tr><td><b>C&Oacute;DIGO DE CONTROL: </b><?php echo $cod_control; ?></td></tr>
    <tr><td><b>FECHA L&Iacute;MITE DE EMISI&Oacute;N: </b><?php echo date("d/m/Y",strtotime($fecha_limite)); ?></td></tr>
    <tr><td>&nbsp;</td></tr>
    <tr><td align="left">"ESTA FACTURA CONTRIBUYE AL DESARROLLO DEL PA&Iacute;S. EL USO IL&Iacute;CITO DE &Eacute;STA SER&Aacute; SANCIONADO DE ACUERDO A LEY"<br /><?php echo $leyenda; ?></td></tr>
    </table>
    
</td><td width="5%" valign="top">
	<table border="0" align="center">
    <tr><td><?php echo '<img src="'.$filePath.'" />'; ?></td></tr>
    </table>
    <!--
</td><td width="60%" valign="top">
	<table border="0" align="center">
    <tr><td>&nbsp;</td></tr>
	<tr><td align="center">"ESTA FACTURA CONTRIBUYE AL DESARROLLO DEL PA&Iacute;S. EL USO IL&Iacute;CITO DE &Eacute;STA SER&Aacute; SANCIONADO DE ACUERDO A LEY".<br /><?php echo $leyenda; ?></td></tr>
    </table>
    -->
</td></tr>
</table>

<br />

<?php } //fin if head != 2
		else { //else head != 2?>

<table border="0" align="left" width="240px" cellpadding="1">
<tr><td align="center">
<b><?php echo $nombre_empresa; ?></b>
<br/><?php echo strtoupper($sucursal); ?>
<br/><?php echo $dir_sucursal; ?>
<br/>Tel&eacute;fono: <?php echo $tel_sucursal; ?>
<br/><?php echo $mi_web; ?>
<br/><?php echo $ciu_sucursal; ?> - <?php echo $mi_pais; ?>
<br/><br/><b>FACTURA</b>
<hr width="90%" align="center" />
<b>NIT: <?php echo $mi_nit; ?>
<br/>FACTURA No. &nbsp;&nbsp;&nbsp;<?php echo $nro_fac; ?>
<br/>AUTORIZACI&Oacute;N No. <?php echo $nro_auto; ?></b>
<hr width="90%" align="center" />
<?php echo $actividad_economica; ?>

<!-- fecha, nombre y NIT de la factura -->
<br/><br/>Fecha: <?php echo date("d/m/Y",strtotime($fecha_fac)); ?> - <?php echo date("H:i:s"); ?>
<br/>Se&ntilde;or (es): <?php echo $cliente; ?>
<br/>NIT / CI: <?php echo $nit_cli; ?>
<hr width="100%" align="center" />
</td></tr>
<tr><td>
    <!-- detalle de la factura -->
    <table border="0" align="center" width="240px" cellpadding="1">
        <TR> 
        <TD width="30" align="center">Cant.</TD>
        <TD align="center">Concepto</TD>
        <TD width="50" align="right">P.Uni.</TD>
        <TD width="50" align="right">Subtotal</TD>
        </TR>
    </table>
    <hr width="100%" align="center" />
</td></tr>    
<tr><td>
    <table border="0" align="center" width="240px" cellpadding="1">
        <?php
        $suma_total = 0;
		$suma_desc = 0;
		$suma_sin_desc = 0;
        while ($row = mysqli_fetch_array($result2)) { //while
            
			if($muestra_uni_men == 0) { //if uni menor
				$unidad_menor = '';
			} else {
				$unidad_menor = $row['umenor'];
			} //fin if uni menor
			
			$cod_item_det = $row['cod_item'];
			$cantidad_det = $row['cantidad'];
			$item_det = $row['item'];
			$precio_det = $row['precio'];
			$descuento_det = $row['descuento'];
			$total_det = $row['total'];
			
			if($muestra_id_lote == 0) { //if lotes
				$id_lote = '';
			} else {
			//lotes
			$resultlote = mysqli_query($link, "select a.fldID as id_lote
	from 
	invItemMovementDetailBatch a, invItemMovementDetail b
	where 
	a.codItemMovementDetail = b.pkyItemMovementDetail and 
	b.codItem = '$cod_item_det' and 
	a.codItemMovement = '$cod_mov_merc';");
			$mat_lote = array();
			$l = 1;
			while ($row = mysqli_fetch_array($resultlote)) { //while lote
				$mat_lote[$l] = $row['id_lote'];
				if($l == 1) {
					$id_lote = $mat_lote[$l]; 
				} else {
					$id_lote = $id_lote.', '.$mat_lote[$l];
				}
				$l++;
			}// fin while lote
			mysqli_free_result($resultlote);
			} //fin if lote
			
			printf("<tr><td align='center' width='30'>%s</td>", number_format($cantidad_det,0));//cantidad
            printf("<td align='left'>%s %s %s</td>", $item_det, $unidad_menor, $id_lote);//concepto o nombre item, unidad menor
            printf("<td align='right' width='50'>%s</td>", number_format($precio_det, $n_decimales));//precio unitario item
            printf("<td align='right' width='50'>%s</td></tr>", number_format($total_det, $n_decimales));//total
			$suma_sin_desc = $suma_sin_desc + round($cantidad_det * $precio_det * $valor_tc, $n_decimales);
			$suma_desc = $suma_desc + round($cantidad_det * $precio_det * $descuento_det / 100 * $valor_tc, $n_decimales);
			$suma_total = $suma_total + round($total_det, $n_decimales);
		}//fin while
		mysqli_free_result($result2);
		
		$suma_total_final = ($suma_total - ($suma_total * $desc_global / 100)) * $valor_tc;
		$suma_total_final = round($suma_total_final, $n_decimales);
		$monto_descuento = $suma_desc + round($suma_total * $desc_global / 100 * $valor_tc, $n_decimales);
			
			
        //convierte el total en literal
        $letras=new NroEnLetra($suma_total_final,$n_decimales);
        
        $mostrar_letras = strtoupper($letras->getLetra());
        
        $busca_espacio = substr($mostrar_letras,-6,1);
        if($busca_espacio == ' ') {
            $fin_letras = substr($mostrar_letras,-5);
            $mostrar_letras = substr($mostrar_letras,0,-5);
            $mostrar_letras = $mostrar_letras .'0'. $fin_letras;
        }
		$suma_total_final = number_format($suma_total_final, $n_decimales);
	// generacion de codigo QR
    $tempDir = 'qr/';
	$sep = '|';

	$fecha_fac_qr = date("d/m/Y",strtotime($fecha_fac));
	$suma_parcial_qr = number_format($suma_sin_desc,$n_decimales);
	$suma_cred_fis_qr = $suma_total_final;
	$ice_qr = number_format(0,$n_decimales); //ice cuando corresponda, sino es 0
	$tasa_cero_qr = number_format(0,$n_decimales); //ventas no gravadas o gravadas a tasa cero, sino es 0
	$suma_no_cred_fis_qr = number_format(0,$n_decimales); //importe no sujeto a credito fiscal, sino es 0
	if($monto_descuento == 0) {
		$suma_descuento_qr = number_format(0,$n_decimales);
	} else {
		$suma_descuento_qr = number_format($monto_descuento,$n_decimales);
	}
	$codeContents = $mi_nit.$sep.$nro_fac.$sep.$nro_auto.$sep.$fecha_fac_qr.$sep.$suma_parcial_qr.$sep.$suma_cred_fis_qr.$sep.$cod_control.$sep.$nit_cli.$sep.$ice_qr.$sep.$tasa_cero_qr.$sep.$suma_no_cred_fis_qr.$sep.$suma_descuento_qr;

	$fileName = 'qr_file_'.$usuario.'.png';
    $filePath = $tempDir.$fileName;

    QRcode::png($codeContents, $filePath,'M',3);
	
	     
    ?>   
    </table>
    <hr width="50" align="right" />
</td></tr>
<tr><td>
    <table border="0" align="center" width="240px" cellpadding="1">
    <tr>
        <td align="right"><b>Importe Total de la Compra <?php echo $moneda; ?>:</b> </td>
        <td align="right" width="50"><b><?php echo number_format($suma_total, $n_decimales); ?></b></td>
    </tr>
    <tr>
    	<td align="right">Descuento Global: </td>
		<td align="right" width="50"><?php echo number_format($desc_global, $n_decimales).'%'; ?></td>
    </tr>
    <tr>
    	<td align="right">Importe Descuento <?php echo $nom_moneda_principal; ?>: </td>
		<td align="right" width="50"><?php echo number_format($monto_descuento, $n_decimales); ?>
    </tr>
    <tr>
        <td align="right">Tipo de Cambio: </td>
        <td align="right" width="50"><?php echo number_format($valor_tc, $n_decimales); ?></td>
    </tr>
    <tr>
        <td align="right">Importe base para Cr&eacute;dito Fiscal <?php echo $nom_moneda_principal; ?>: </td>
        <td align="right" width="50"><?php echo $suma_total_final; ?></td>
    </tr>
    </table>
    <br/><b>SON: <?php echo $mostrar_letras; ?> <?php echo strtoupper($nom_moneda_letras); ?></b>
    <hr width="90%" align="center" />
</td></tr>
<tr><td>
    NV - <?php echo $cod_nota_venta; ?>
    <br/>C&Oacute;DIGO DE CONTROL: <b><?php echo $cod_control; ?></b>
    <br/>FECHA L&Iacute;MITE DE EMISI&Oacute;N: <?php echo date("d/m/Y",strtotime($fecha_limite)); ?>
    <!--codigo QR -->
    <center><br /><?php echo '<img src="'.$filePath.'" />'; ?></center>
    
    <!--leyenda de impuestos -->
	<center><br/><font size="-2">"ESTA FACTURA CONTRIBUYE AL DESARROLLO DEL PA&Iacute;S. EL USO IL&Iacute;CITO DE &Eacute;STA SER&Aacute; SANCIONADO DE ACUERDO A LEY".<br /><?php echo $leyenda; ?></font></center>
    <hr width="90%" align="center" />
    <center>Gracias por preferirnos, vuelva pronto.</center>
</td></tr>
</table>
<?php } //fin else head != 2?>

<?php } //fin if bolivia ?>



<?php if($mi_cod_pais == 176) { //if paraguay ?>
<?php if($tamano_hoja != 3) { ?>
<?php //$cod_tipo=5; ?>
<!-- Cabecera en una columna de la factura -->
<table border="0" align="left" width="740px" height="105px">
<tr valign="top"><td align="left">&nbsp;</td></tr>
</td></tr></table>
<br />

<!-- fecha, nombre, condicion y RUC de la factura -->
<table border="0" align="left" width="740px" cellpadding="0">
<tr><td align="left" width="470px">
<!--fecha <font color="#FFFFFF">-->
<font color="#FFFFFF"><!--LUGAR Y FECHA: --></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo $dia_fac; ?>, de <?php echo $mes_nom; ?> de <?php echo $ano_fac; ?></td>
<td align="left" width="270px">
<!--condicion de venta-->
<font color="#FFFFFF"><!--CONDICI&Oacute;N DE VENTA: --></font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<font color="#FFFFFF"><!--CONTADO-->&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp; <?php if($cod_tipo == 1) { echo 'X'; } ?>
&nbsp;&nbsp;
<?php if($cod_tipo != 1) { ?> &nbsp;&nbsp; <?php } ?>
<font color="#FFFFFF"><!--CR&Eacute;DITO-->&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp; <?php if($cod_tipo == 5) { echo 'X'; } ?>
</td></tr>
<tr><td>&nbsp;</td></tr><!-- espacio fila -->
<tr><td align="left">
<!--nombre-->
<font color="#FFFFFF"><!--NOMBRE O RAZ&Oacute;N SOCIAL: --></font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo $cliente; ?></td>
<td align="left">
<!--RUC-->
<font color="#FFFFFF"><!--RUC/C.I. No.: --></font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo $nit_cli; ?>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Vcto.:<?php echo date("d/m/Y",strtotime($fecha_limite));  ?>
</td></tr>
<tr><td>&nbsp;</td></tr><!-- espacio fila -->
<tr><td align="left">
<!--direccion-->
<font color="#FFFFFF"><!--DIRECCI&Oacute;N: --></font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo $cli_direccion; ?></td>
<td align="left">
<!--telefono-->
<font color="#FFFFFF"><!--TEL&Eacute;FONO: --></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo $cli_telefono; ?>
<tr><td>&nbsp;</td></tr><!-- espacio fila -->
<tr><td align="left">
<!--nota de remision-->
<font color="#FFFFFF"><!--NOTA DE REMISI&Oacute;N No.: --></font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo $cli_nota_remision; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TC: </b><?php echo number_format($valor_tc, $n_decimales); ?> </td></td>
<td align="left">
<!--fecha-->
<font color="#FFFFFF"><!--FECHA: --></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php if ($cli_fecha != NULL) { echo date("d/m/Y",strtotime($cli_fecha)); } ?>
</td></tr>
</table>

<!-- detalle de la factura -->
<table border="1" bordercolor="#FFFFFF" align="left" cellpadding="2" width="740px">
<tr><td colspan="7"> <table border="1" bordercolor="#FFFFFF" align="left" cellpadding="2" height="10px"><tr><td></td></tr></table> </td></tr>
 	<TR> 
    <TD width="53" align="center"><font color="#FFFFFF"><!--Art./Cod.-->&nbsp;</font></TD><!--Codigo-->
    <TD width="58" align="center"><font color="#FFFFFF"><!--Cantidad-->&nbsp;</font></TD><!--Cantidad-->
    <TD width="280" align="center"><font color="#FFFFFF"><!--DESCRIPCI&Oacute;N--></font>&nbsp;</TD><!--Descripcion-->
    <TD width="62" align="center"><font color="#FFFFFF"><!--P.UNIT.--></font>&nbsp;</TD><!--Precio Unitario-->
    <TD width="94" align="center"><font color="#FFFFFF"><!--EXENTAS--></font>&nbsp;</TD><!--Exenta-->
    <TD width="90" align="center"><font color="#FFFFFF"><!--5%--></font>&nbsp;</TD><!--5%-->
    <TD width="103" align="center"><font color="#FFFFFF"><!--10%--></font>&nbsp;</TD><!--10%-->
    </TR>
</table>

<table border="0" align="left" width="770px" height="<?php echo $tam_hoja; ?>"><!--604px=16cm  151px=4cm-->
<tr valign="top"><td>   
<!-- esta tabla contiene el detalle para darle el espacio a las lineas de cada item-->
<!-- dos pixeles menos del tamano siempre-->
<table border="0" align="left" cellpadding="2" width="740px">
	<?php
    //echo $tam_hoja;
	$suma_ex = 0;
	$suma_5 = 0;
	$suma_10 = 0;
	$suma_iva_5 = 0;
	$suma_iva_10 = 0;
	$suma_total_final = 0;
	
	$exento = 0;
	$monto5 = 0;
	$monto10 = 0;
	$iva_5 = 0;
	$iva_10 = 0;
	while ($row = mysqli_fetch_array($result2)) { //while
	
	if($cod_barras_principal == 0) { //if cod_barras
		$cod_item_barras = $row['cod_item'];
	} else {
		$cod_item_barras = $row['cod_barras'];
	} //fin if cod_barras
	
	if($muestra_uni_men == 0) { //if uni menor
		$unidad_menor = '';
	} else {
		$unidad_menor = $row['umenor'];
	} //fin if uni menor
	
		printf("<tr><td align='right' width='53'>%s</td>", $cod_item_barras);//codigo
		printf("<td align='center' width='58'>%s</td>", number_format($row['cantidad'],0));//cantidad
		printf("<td align='left' width='280'>%s %s</td>", $row['item'], $unidad_menor);//item
		printf("<td align='right' width='62'>%s</td>", number_format($row['precio'], $n_decimales));//precio unitario item
		//calculo del exento, gravado e impuesto
		$pimpuesto = $row['tasa'] / 100; // imp / 100, si es 10%=10/100=0.1
		$pexento = $row['exento'] / 100; // exe /100, si es 75%=75/100=0.75
		$pgravado = 1 - $pexento; // exe - 1, si es 75% 1-0.75=0.25
		$var1 = ($pimpuesto * $pgravado) + 1;
		$total_sin_imp = $row['total'] / $var1;
		$exento = round($total_sin_imp * $pexento, $n_decimales);
		$total_gravado = round($total_sin_imp * $pgravado, $n_decimales);
		$total_imp = round($total_gravado * $pimpuesto, $n_decimales);
		$total_mostrar = round($total_gravado + $total_imp, $n_decimales);
		if ($exento == 0) { 
			printf("<td align='right' width='94'>&nbsp;</td>");//exento
		} else {
			printf("<td align='right' width='94'>%s</td>", number_format($exento, $n_decimales));//exento
		}
		if ($row['tasa'] == 5) {
			$monto5 = $total_mostrar;
			$iva_5 = $total_imp;
		}
		if ($monto5 == 0) {	
			printf("<td align='right' width='90'>&nbsp;</td>");//5%
		} else {
			printf("<td align='right' width='90'>%s</td>", number_format($monto5, $n_decimales));//5%
		}
		if ($row['tasa'] == 10) {
			$monto10 = $total_mostrar;
			$iva_10 = $total_imp;
		}
		if ($monto10 == 0) { 
		printf("<td align='right' width='103'>&nbsp;</td></tr>");//10%
		} else {
			printf("<td align='right' width='103'>%s</td></tr>", number_format($monto10, $n_decimales));//10%
		}
		$suma_ex = $suma_ex + $exento;
		$suma_5 = $suma_5 + $monto5;
		$suma_10 = $suma_10 + $monto10;
		$suma_iva_5 = $suma_iva_5 + $iva_5;
		$suma_iva_10 = $suma_iva_10 + $iva_10;
		$suma_total_final = $suma_total_final + round($row['total'], $n_decimales);
		$exento = 0;
		$monto5 = 0;
		$monto10 = 0;
		$iva_5 = 0;
		$iva_10 = 0;
	}//fin while
	mysqli_free_result($result2);
	
	$suma_total_final = round($suma_total_final, $n_decimales);
	
	//convierte el total en literal
	$letras=new NroEnLetra($suma_total_final,$n_decimales);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	//borra los dobles espacios en la cadena
	$mostrar_letras = preg_replace('/\s+/', ' ', $mostrar_letras);
	//borra los espacios al inicio y al final de la cadena
	//$mostrar_letras = trim($mostrar_letras); 
	  
	list($letras1, $letras2) = dividePalabra($mostrar_letras, 64, 1, '-');
	?>
</table>
</td></tr></table>

<!-- pie de la factura -->
<table border="1" bordercolor="#FFFFFF" align="left" cellpadding="1" width="740px">   
<tr><td width="460px"><font color="#FFFFFF"><!--SUBTOTALES-->&nbsp;</font></td>
<td width="90" align="right"><?php echo number_format($suma_ex, $n_decimales); ?></td>
<td width="90" align="right"><?php echo number_format($suma_5, $n_decimales); ?></td>
<td width="100" align="right"><?php echo number_format($suma_10, $n_decimales); ?></td>
</tr>
<tr><td colspan="3">
<font color="#FFFFFF"><!--TOTAL A PAGAR (en l) GUARANIES/DOLARES--> </font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo strtoupper($moneda); ?> <?php echo strtoupper($letras1); ?></td>
<td width="100" align="right"><?php echo number_format($suma_total_final, $n_decimales); ?></td>
</tr>
<tr><td colspan="4">
<font color="#FFFFFF"><!--TOTAL A PAGAR (en l) GUARANIES/DOLARES--> </font>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<?php echo strtoupper($letras2); ?></td></tr>
</table>
<table border="1" bordercolor="#FFFFFF" align="left" cellpadding="2" width="740px"> 
<tr>
<td width="150px" align="left">
<font color="#FFFFFF"><!--LIQUIDACI&Oacute;N DEL IVA: 5%-->&nbsp;</font>
<td width="150px" align="center">
<?php echo number_format($suma_iva_5, $n_decimales); ?></td>
<td width="50px" align="left">
<font color="#FFFFFF"><!--10%-->&nbsp;</font>
<td width="140px" align="center">
<?php echo number_format($suma_iva_10, $n_decimales); ?></td>
<td width="140px" align="left">
<font color="#FFFFFF"><!--TOTAL DEL IVA:-->&nbsp; </font>
<td width="110px" align="center">
<?php echo number_format($suma_iva_5+$suma_iva_10, $n_decimales); ?></td>
</tr>
</table>
<br />

<?php } //fin if head != 2
		else { //else head != 2?>

<table border="0" align="left" width="240px" cellpadding="1">
<tr><td align="center">
<?php echo $nombre_empresa; ?>
<br/><?php echo strtoupper($sucursal); ?>
<br/><?php echo $dir_sucursal; ?>
<br/>Tel&eacute;fono: <?php echo $tel_sucursal; ?>
<br/><?php echo $mi_web; ?>
<br/><?php echo $ciu_sucursal; ?> - <?php echo $mi_pais; ?>
<br/><br/>FACTURA
<hr width="90%" align="center" />
NIT: <?php echo $mi_nit; ?>
<br/>FACTURA No. &nbsp;&nbsp;&nbsp;<?php echo $nro_fac; ?>
<br/>AUTORIZACI&Oacute;N No. <?php echo $nro_auto; ?>
<hr width="90%" align="center" />
Actividad Econ&oacute;mica: <?php echo $actividad_economica; ?>

<!-- fecha, nombre y NIT de la factura -->
<br/><br/>Fecha: <?php echo date("d/m/Y",strtotime($fecha_fac)); ?> - <?php echo date("H:i:s"); ?>
<br/>Se&ntilde;or (es): <?php echo $cliente; ?>
<br/>NIT / CI: <?php echo $nit_cli; ?>
<hr width="100%" align="center" />
</td></tr>
<tr><td>
    <!-- detalle de la factura -->
    <table border="0" align="center" width="240px" cellpadding="1">
        <TR> 
        <TD width="30" align="center">Cant.</TD>
        <TD align="center">Concepto</TD>
        <TD width="50" align="right">P.Uni.</TD>
        <TD width="50" align="right">Subtotal</TD>
        </TR>
    </table>
    <hr width="100%" align="center" />
</td></tr>    
<tr><td>
    <table border="0" align="center" width="240px" cellpadding="1">
        <?php
        $suma_total = 0;
		$suma_desc = 0;
		$suma_sin_desc = 0;
        while ($row = mysqli_fetch_array($result2)) { //while
            printf("<tr><td align='center' width='30'>%s</td>", number_format($row['cantidad'],0));//cantidad
            printf("<td align='left'>%s</td>", $row['item']);//concepto o nombre item
            printf("<td align='right' width='50'>%s</td>", number_format($row['precio'], $n_decimales));//precio unitario item
            printf("<td align='right' width='50'>%s</td></tr>", number_format($row['total'], $n_decimales));//total
			$suma_sin_desc = $suma_sin_desc + $row['cantidad'] * $row['precio'] * $valor_tc;
			$suma_desc = $suma_desc + $row['cantidad'] * $row['precio'] * $row['descuento'] / 100 * $valor_tc;
            $suma_total = $suma_total + $row['total'];
        }//fin while
        mysqli_free_result($result2);
        
        $suma_total_final = ($suma_total - ($suma_total * $desc_global / 100)) * $valor_tc;
		$monto_descuento = $suma_desc + ($suma_total * $desc_global / 100 * $valor_tc);
        
        //convierte el total en literal
        $letras=new NroEnLetra($suma_total_final,$n_decimales);
        
        $mostrar_letras = strtoupper($letras->getLetra());
        
        $busca_espacio = substr($mostrar_letras,-6,1);
        if($busca_espacio == ' ') {
            $fin_letras = substr($mostrar_letras,-5);
            $mostrar_letras = substr($mostrar_letras,0,-5);
            $mostrar_letras = $mostrar_letras .'0'. $fin_letras;
        }
		
	// generacion de codigo QR
    $tempDir = 'qr/';
	$sep = '|';

	$fecha_fac_qr = date("d/m/Y",strtotime($fecha_fac));
	$suma_parcial_qr = number_format($suma_sin_desc,$n_decimales);
	$suma_cred_fis_qr = number_format($suma_total_final,$n_decimales);
	$ice_qr = number_format(0,$n_decimales); //ice cuando corresponda, sino es 0
	$tasa_cero_qr = number_format(0,$n_decimales); //ventas no gravadas o gravadas a tasa cero, sino es 0
	$suma_no_cred_fis_qr = number_format(0,$n_decimales); //importe no sujeto a credito fiscal, sino es 0
	if($monto_descuento == 0) {
		$suma_descuento_qr = number_format(0,$n_decimales);
	} else {
		$suma_descuento_qr = number_format($monto_descuento,$n_decimales);
	}
	$codeContents = $mi_nit.$sep.$nro_fac.$sep.$nro_auto.$sep.$fecha_fac_qr.$sep.$suma_parcial_qr.$sep.$suma_cred_fis_qr.$sep.$cod_control.$sep.$nit_cli.$sep.$ice_qr.$sep.$tasa_cero_qr.$sep.$suma_no_cred_fis_qr.$sep.$suma_descuento_qr;

	$fileName = 'qr_file_'.$usuario.'.png';
    $filePath = $tempDir.$fileName;

    QRcode::png($codeContents, $filePath,'M',2.5);
	
	     
    ?>   
    </table>
    <hr width="50" align="right" />
</td></tr>
<tr><td>
    <table border="0" align="center" width="240px" cellpadding="1">
    <tr>
        <td align="right">Importe Total de la Compra <?php echo $moneda; ?>: </td>
        <td align="right" width="50"><?php echo number_format($suma_total, $n_decimales); ?></td>
    </tr>
    <tr>
    	<td align="right">Descuento Global: </td>
		<td align="right" width="50"><?php echo number_format($desc_global, $n_decimales).'%'; ?></td>
    </tr>
    <tr>
    	<td align="right">Importe Descuento <?php echo $nom_moneda_principal; ?>: </td>
		<td align="right" width="50"><?php echo number_format($monto_descuento, $n_decimales); ?>
    </tr>
    <tr>
        <td align="right">Tipo de Cambio: </td>
        <td align="right" width="50"><?php echo number_format($valor_tc, $n_decimales); ?></td>
    </tr>
    <tr>
        <td align="right">Importe base para Cr&eacute;dito Fiscal <?php echo $nom_moneda_principal; ?>: </td>
        <td align="right" width="50"><?php echo number_format($suma_total_final, $n_decimales); ?></td>
    </tr>
    </table>
    <br/>SON: <?php echo $mostrar_letras; ?> <?php echo strtoupper($nom_moneda_letras); ?>
    <hr width="90%" align="center" />
</td></tr>
<tr><td>
    NV - <?php echo $cod_nota_venta; ?>
    <br/>C&Oacute;DIGO DE CONTROL: <?php echo $cod_control; ?>
    <br/>FECHA L&Iacute;MITE DE EMISI&Oacute;N: <?php echo date("d/m/Y",strtotime($fecha_limite)); ?>
    <!--codigo QR -->
    <center><br /><?php echo '<img src="'.$filePath.'" />'; ?></center>
    
    <!--leyenda de impuestos -->
	<center><br/><font size="-2">"ESTA FACTURA CONTRIBUYE AL DESARROLLO DEL PA&Iacute;S. EL USO IL&Iacute;CITO DE &Eacute;STA SER&Aacute; SANCIONADO DE ACUERDO A LEY".<br /><?php echo $leyenda; ?></font></center>
    <hr width="90%" align="center" />
    <center>Gracias por preferirnos, vuelva pronto.</center>
</td></tr>
</table>

<?php } //fin else head != 2?>

<?php } //fin if paraguay ?>




<?php
    if($enabled == 0){
				printf("<table border='0' align='center' cellpadding='2'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO ANULADO</font></td></tr></table>");
			}
	if($authorized == 0){
				printf("<table border='0' align='center' cellpadding='2'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}

?>
</body>
</html>
